Get Action Environment Repository

Get Action Environment Repository
Retrieves a specified action environment repository

Retrieves a specified action environment repository

Request
URI
GET
https://{api_host}/environments/repositories/{id}
COPY
Path Parameters
string
id
Required

id


Authentication
This operation uses the following authentication methods.
Responses
200

The request is successful

Returns actionEnvironmentRepository of type(s) application/json
{
    "relations": {
        "startIndex": 0,
        "count": 0,
        "total": 0,
        "link": [
            {
                "rel": "string",
                "type": "string",
                "attributes": [
                    {
                        "name": "string",
                        "displayName": "string",
                        "value": "string",
                        "displayValue": "string"
                    }
                ],
                "href": "string"
            }
        ]
    },
    "id": "string",
    "name": "string",
    "runtime": "string",
    "location": "string",
    "href": "string",
    "basicAuth": false,
    "systemUser": "string",
    "systemCredentials": "string"
}
object
relations
Optional

relations

string
id
Optional

id

string
name
Optional

name

string
runtime
Required
Constraints: minLength: 1

runtime

string
location
Required
Constraints: minLength: 1

location

string
href
Optional

href

boolean
basicAuth
Required

basicAuth

string
systemUser
Optional

systemUser

string
systemCredentials
Optional

systemCredentials


401

The user is not authorized

Returns actionEnvironmentRepository of type(s) application/json
{
    "relations": {
        "startIndex": 0,
        "count": 0,
        "total": 0,
        "link": [
            {
                "rel": "string",
                "type": "string",
                "attributes": [
                    {
                        "name": "string",
                        "displayName": "string",
                        "value": "string",
                        "displayValue": "string"
                    }
                ],
                "href": "string"
            }
        ]
    },
    "id": "string",
    "name": "string",
    "runtime": "string",
    "location": "string",
    "href": "string",
    "basicAuth": false,
    "systemUser": "string",
    "systemCredentials": "string"
}
object
relations
Optional

relations

string
id
Optional

id

string
name
Optional

name

string
runtime
Required
Constraints: minLength: 1

runtime

string
location
Required
Constraints: minLength: 1

location

string
href
Optional

href

boolean
basicAuth
Required

basicAuth

string
systemUser
Optional

systemUser

string
systemCredentials
Optional

systemCredentials


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/environments/repositories/{id}